package com.kmall.manager.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 海关请求数据记录表实体
 * 表名 cus_req_record
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-25 17:09:12
 */
public class CusReqRecordEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;
    /**
     * 申报订单的订单编号
     */
    private String orderNo;
    /**
     * 海关发起请求时，平台接收的会话ID
     */
    private String sessionID;
    /**
     * 调用时的系统时间
     */
    private Long serviceTime;
    /**
     * 状态：0，接收；1，发送成功；2，发送失败
     */
    private String status;
    /**
     * 异常信息
     */
    private String message;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date modTime;

    /**
     * 获取：
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置：
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取：申报订单的订单编号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 设置：申报订单的订单编号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 获取：海关发起请求时，平台接收的会话ID
     */
    public String getSessionID() {
        return sessionID;
    }

    /**
     * 设置：海关发起请求时，平台接收的会话ID
     */
    public void setSessionID(String sessionID) {
        this.sessionID = sessionID;
    }

    /**
     * 获取：调用时的系统时间
     */
    public Long getServiceTime() {
        return serviceTime;
    }

    /**
     * 设置：调用时的系统时间
     */
    public void setServiceTime(Long serviceTime) {
        this.serviceTime = serviceTime;
    }

    /**
     * 获取：状态：0，接收；1，发送成功；2，发送失败
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置：状态：0，接收；1，发送成功；2，发送失败
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 获取：异常信息
     */
    public String getMessage() {
        return message;
    }

    /**
     * 设置：异常信息
     */
    public void setMessage(String message) {
        this.message = message;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }

    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }
}
